var m = (e, r, s) => new Promise((c, o) => {
  var l = (t) => {
    try {
      a(s.next(t));
    } catch (i) {
      o(i);
    }
  }, n = (t) => {
    try {
      a(s.throw(t));
    } catch (i) {
      o(i);
    }
  }, a = (t) => t.done ? c(t.value) : Promise.resolve(t.value).then(l, n);
  a((s = s.apply(e, r)).next());
});
import { b as p, p as d } from "./index-b7bbd57e-BBUBsGhp.js";
import { g } from "./app-globals-0f993ce5-D-kw1sls.js";
import { U as y } from "./ui-image-38c3c15f-ByZECnci.js";
var u = () => {
  const e = import.meta.url, r = {};
  return e !== "" && (r.resourcesUrl = new URL(".", e).href), d(r);
};
u().then((e) => m(void 0, null, function* () {
  return yield g(), p([["ui-image", [[0, "ui-image", { src: [1], width: [1], height: [1], alt: [1], imgClass: [1, "img-class"], styles: [8], detectDistance: [1, "detect-distance"], imgLoaded: [32], shouldLoad: [32] }, null, { src: ["handleSrc"] }]]]], e);
}));
export {
  y as ui_image
};
